package com.qmth.themis.business.bean.admin;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 考试信息bean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/4/20
 */
public class ExamInfoBean implements Serializable {

    @ApiModelProperty(name = "考试批次id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examId;

    @ApiModelProperty(name = "考试场次id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examActivityId;

    @ApiModelProperty(name = "考场编码数")
    private String roomCodes;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getExamActivityId() {
        return examActivityId;
    }

    public void setExamActivityId(Long examActivityId) {
        this.examActivityId = examActivityId;
    }

    public String getRoomCodes() {
        return roomCodes;
    }

    public void setRoomCodes(String roomCodes) {
        this.roomCodes = roomCodes;
    }
}
